Index: /palm/trunk/SOURCE/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3798)
+++ /palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3799)
@@ -114,5 +114,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -191,5 +191,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -256,5 +256,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -300,5 +300,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -362,5 +362,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -388,5 +388,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -446,5 +446,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -473,5 +473,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -500,5 +500,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -529,5 +529,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -555,5 +555,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -688,4 +688,8 @@
   k = is
   cfactor = 1.000000e+00_dp
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( lu_crow(1) == 1  .OR.  lu_icol(1) == 1  .OR.  lu_irow(1) == 1 )  CONTINUE 
+!  
 
   x = (0.) * cfactor
@@ -773,4 +777,7 @@
 
 
+! Following line is just to avoid compiler message about unused variables
+IF ( f(nfix) > 0.0_dp )  CONTINUE
+!  
 ! Computation of equation rates
   a(1) = rct(1) * v(3)
@@ -816,4 +823,7 @@
 ! B - Temporary array
   REAL(kind=dp):: b(4)
+!
+! Following line is just to avoid compiler message about unused variables
+IF ( f(nfix) > 0.0_dp )  CONTINUE
 
 ! B(1) = dA(1)/dV(3)
@@ -960,4 +970,7 @@
       REAL(kind=dp) :: x(n), alpha
       REAL(kind=dp), PARAMETER  :: zero=0.0_dp, one=1.0_dp
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( incx == 0 )  CONTINUE
 
       IF (alpha .eq. one)RETURN
@@ -1023,4 +1036,7 @@
       REAL(kind=dp), PARAMETER :: zero = 0.0_dp
 
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( incx == 0  .OR.  incy == 0 )  CONTINUE
       IF (alpha .eq. zero)RETURN
       IF (n .le. 0)RETURN
@@ -1755,4 +1771,7 @@
 !~~~> inout variables
    REAL(kind=dp), INTENT(INOUT):: b(n)
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( pivot(1) == 0 )  CONTINUE
 
 #ifdef full_algebra    
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/bin/kpp4palm.ksh
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/bin/kpp4palm.ksh	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/bin/kpp4palm.ksh	(revision 3799)
@@ -40,4 +40,8 @@
 # -----------------
 # $Id$ 
+# Removed edit of phot(nphot) for version edit phot(nphot), now done in fortran_file.C (15.03.2019, forkel)
+# Editing with sed to add dummy statements toavoud unused variables
+# 
+# 3780 2019-03-05 11:19:45Z forkel
 # forkel   05. March 2019: cs_mech and set_cm
 # forkel   30. Oktober 2018: Integrating contents of kp4_compress into chem_gasphase_mod.f90
@@ -337,9 +341,44 @@
 $BASE/bin/kpp4palm.exe $PREFIX $MODE $VLEN $DE_INDEX $DE_INDEX_FAST
 
-#Prelimanary, substitution has to be moved into kpp4palm.exe
+# Add dummy statements in order to prevent warnings due to unused variables
+#
+sed -i -e '/cfactor =/a !  ' kk_kpp.f90
+sed -i -e '/cfactor =/a    IF ( lu_crow(1) == 1  .OR.  lu_icol(1) == 1  .OR.  lu_irow(1) == 1 )  CONTINUE ' kk_kpp.f90
+sed -i -e '/cfactor =/a ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/cfactor =/a !  ' kk_kpp.f90
+
 if [[ $MODE = "vector" ]]
 then
-  sed -i -e 's/phot(nphot/phot(vl_dim,nphot/g' kk_kpp.f90
-fi
+sed -i -e '/! Computation of equation rates/i ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/! Computation of equation rates/i IF ( f(vl,nfix) > 0.0_dp )  CONTINUE' kk_kpp.f90
+sed -i -e '/! Computation of equation rates/i !  ' kk_kpp.f90
+else
+sed -i -e '/! Computation of equation rates/i ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/! Computation of equation rates/i IF ( f(nfix) > 0.0_dp )  CONTINUE' kk_kpp.f90
+sed -i -e '/! Computation of equation rates/i !  ' kk_kpp.f90
+fi
+
+if [[ $MODE = "vector" ]]
+then
+sed -i -e '/REAL(kind=dp) :: b/a   IF ( f(vl,nfix) > 0.0_dp )  CONTINUE' kk_kpp.f90
+sed -i -e '/REAL(kind=dp) :: b/a ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/REAL(kind=dp):: b/a !' kk_kpp.f90
+else
+sed -i -e '/REAL(kind=dp):: b/a   IF ( f(nfix) > 0.0_dp )  CONTINUE' kk_kpp.f90
+sed -i -e '/REAL(kind=dp):: b/a ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/REAL(kind=dp):: b/a !' kk_kpp.f90
+fi
+
+sed -i -e '/one=1.0_dp/a       IF ( incx == 0 )  CONTINUE' kk_kpp.f90
+sed -i -e '/one=1.0_dp/a ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/one=1.0_dp/a !  ' kk_kpp.f90
+
+sed -i -e '/IF (alpha .eq. zero)RETURN/i !  ' kk_kpp.f90
+sed -i -e '/IF (alpha .eq. zero)RETURN/i ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/IF (alpha .eq. zero)RETURN/i     IF ( incx == 0  .OR.  incy == 0 )  CONTINUE' kk_kpp.f90
+
+sed -i -e '/INTENT(INOUT):: b(n)/a       IF ( pivot(1) == 0 )  CONTINUE' kk_kpp.f90
+sed -i -e '/INTENT(INOUT):: b(n)/a ! Following line is just to avoid compiler message about unused variables' kk_kpp.f90
+sed -i -e '/INTENT(INOUT):: b(n)/a !  ' kk_kpp.f90
 
 if [[ -e $OUTDIR/${OUTFILE}.f90 ]] 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C	(revision 3799)
@@ -9,12 +9,10 @@
 //
 // ############################################################################
-//
-//Current revisions:
-//------------------
 //
 //
 //Former revisions:
 //-----------------
-//$Id: create_kpp_module.C 3453 2018-10-30 13:21:51Z forkel $
+// Deleted $Id since document_changes does not work for C and C++         (15.03.2019, forkel)
+//
 // OpenMP version    (15.03.2019, ketelsen)
 //
@@ -199,5 +197,5 @@
    generate_module_header();
 
-// create_set_cs
+// Create subroutine to communicate mechanism name to other modules
    create_set_cs();
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.h
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.h	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.h	(revision 3799)
@@ -18,7 +18,9 @@
 // Former revisions:
 // -----------------------
-// $Id$
-// forkel   22.02.2019: Added create_set_cs
-// ketelsen 18.09.2018: Removed create_fill_routine
+// Deleted $Id since document_changes does not work for C and C++         (15.03.2019, forkel)
+//
+// Added create_set_cs   (22.02.2019, forkel)
+//
+// Removed create_fill_routine   (18.09.2018, ketelsen)
 //
 // initial version                                  (Nov. 2016, ketelsen)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.C
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.C	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.C	(revision 3799)
@@ -9,11 +9,9 @@
 //
 // ############################################################################
-//Current revisions:
-//------------------
 //
 //
 // Former revisions:
 // -----------------------
-// $Id: expand_decomp.C 3327 2018-10-09 19:55:00Z forkel $
+// Deleted $Id since document_changes does not work for C and C++   (15.03.2019, forkel)
 //
 // Added switch for de-indexing == 2 (W is not needed then)       (08.03.2019, forkel)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.h
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.h	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.h	(revision 3799)
@@ -11,11 +11,9 @@
 //
 // ############################################################################
-//Current revisions:
-//------------------
 //
 //
 // Former revisions:
 // -----------------------
-// $Id: expand_decomp.h 3327 2018-10-09 19:55:00Z forkel $
+// Deleted $Id since document_changes does not work for C and C++   (15.03.2019, forkel)
 //
 // initial version                                  (Nov. 2016, ketelsen)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.C
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.C	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.C	(revision 3799)
@@ -11,11 +11,10 @@
 //
 //
-//Current revisions:
-//------------------
-// 
-// 
 //Former revisions:
 //-----------------
-//$Id: 
+// Deleted $Id since document_changes does not work for C and C++   (15.03.2019, forkel)
+//
+// For vector version edit phot(nphot) - was before done in kpp4pal.ksh (15.03.2019, forkel)
+//
 // OpenMP version    (15.03.2019, ketelsen)
 //
@@ -676,4 +675,8 @@
 //  Replace Roundoff = WLAMCH('E') since WLAMCH does not work everywhere
        ip->global_substitute("Roundoff = WLAMCH('E')","roundoff = epsilon(one)");
+//  For vector version edit  phot(nphot) from INLINE in chem_gasphase_mod.kpp
+    if(kpp_switches.is_vector()) {
+        ip->global_substitute("phot(nphot)","phot(vl_dim,nphot)");
+    }
 
 // Now do some cosmetics to adapt the KPP generated output a bit o the looks of PALM, 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.h
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.h	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.h	(revision 3799)
@@ -12,11 +12,8 @@
 // ############################################################################
 //
-//Current revisions:
-//------------------
-//
 //
 // Former revisions:
 // -----------------------
-// $Id: fortran_file.h 3327 2018-10-09 19:55:00Z forkel $
+// Deleted $Id since document_changes does not work for C and C++         (15.03.2019, forkel)
 //
 // added edit_Initialize                            (Sept.2018, forkel)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/main.C
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/main.C	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/main.C	(revision 3799)
@@ -4,17 +4,14 @@
 //     create_mz_kpp_module 
 //
-//     create scalar code from .f90 sources created by KPP to be used in MESSy
+//     create scalar code from .f90 sources created by KPP to be used in PALM4U
 //
-//     COPYRIGHT Klaus Ketelsen and MPI-CH   April 2007
+//     COPYRIGHT Klaus Ketelsen and MPI-CH   April 2007, 
+//               Klaus Ketelsen, 2016
 //
 // ############################################################################
 //
-//Current revisions:
-//------------------
-//
-//
 // Former revisions:
 // -----------------------
-// $Id: main.C 3327 2018-10-09 19:55:00Z forkel $
+// Deleded $Id since document_changes does not work for C and C++         (15.03.2019, forkel)
 //
 // initial version       (Nov. 2016, ketelsen)
@@ -35,7 +32,9 @@
 
    cout << "####################################################" <<endl ;
-   cout << "###             KP4 = KPP POST PROCESSOR         ###" <<endl ;
-   cout << "###                   Version 1.0                ###" <<endl ;
+   cout << "###        KPP4PALM = KPP POST PROCESSOR         ###" <<endl ;
+   cout << "###               KP4 Version 1.0                ###" <<endl ;
    cout << "### (C) by Klaus Ketelsen and MPI-CH, April 2007 ###" <<endl ;
+   cout << "###               KPP4PALM                       ###" <<endl ;
+   cout << "### (C) by Klaus Ketelsen, November 2016         ###" <<endl ;
    cout << "####################################################" <<endl ;
 
@@ -71,5 +70,5 @@
 
    cout << "####################################################" <<endl ;
-   cout << "###                END OF KP4                    ###" <<endl ;
+   cout << "###                END OF KPP4PALM               ###" <<endl ;
    cout << "####################################################" <<endl ;
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/program_line.C
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/program_line.C	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/program_line.C	(revision 3799)
@@ -10,11 +10,8 @@
 // ############################################################################
 //
-//Current revisions:
-//------------------
-//
 //
 // Former revisions:
 // -----------------------
-// $Id: program_line.C 3327 2018-10-09 19:55:00Z forkel $
+// Deleted $Id since document_changes does not work for C and C++   (15.03.2019, forkel)
 //
 // global_subtolower     (June 2018, forkel)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/program_line.h
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/program_line.h	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/program_line.h	(revision 3799)
@@ -12,11 +12,8 @@
 // ############################################################################
 //
-//Current revisions:
-//------------------
-//
 //
 // Former revisions:
 // -----------------------
-// $Id: program_line.h 3327 2018-10-09 19:55:00Z forkel $
+// Deleted $Id since document_changes does not work for C and C++   (15.03.2019, forkel)
 //
 // added    void   global_subtolower(string &line); (June 2018, forkel)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/utils.C
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/utils.C	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/utils.C	(revision 3799)
@@ -10,11 +10,8 @@
 // ############################################################################
 //
-//Current revisions:
-//------------------
-//
 //
 // Former revisions:
 // -----------------------
-// $Id: utils.C 3327 2018-10-09 19:55:00Z forkel $
+// Deleted $Id since document_changes does not work for C and C++   (15.03.2019, forkel)
 //
 // initial version                                  (Nov. 2016, ketelsen)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/utils.h
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/utils.h	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/utils.h	(revision 3799)
@@ -12,11 +12,8 @@
 // ############################################################################
 //
-//Current revisions:
-//------------------
-//
 //
 // Former revisions:
 // -----------------------
-// $Id: utils.h 3327 2018-10-09 19:55:00Z forkel $
+// Deleted $Id since document_changes does not work for C and C++   (15.03.2019, forkel)
 //
 // initial version                                  (Nov. 2016, ketelsen)
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90	(revision 3798)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90	(revision 3799)
@@ -98,4 +98,5 @@
                                                                  
   LOGICAL                     :: data_loaded = .FALSE.             
+  REAL(dp), POINTER, DIMENSION(:), CONTIGUOUS    :: var             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 ! 
@@ -113,6 +114,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -220,6 +221,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -235,12 +236,10 @@
 
 ! C - Concentration of all species
-  REAL(kind=dp):: c(nspec)
+  REAL(kind=dp), TARGET    :: c(nspec)
 ! VAR - Concentrations of variable species (global)
-  REAL(kind=dp):: var(nvar)
+! REAL(kind=dp):: var(nvar)  var is now POINTER
 ! FIX - Concentrations of fixed species (global)
   REAL(kind=dp):: fix(nfix)
 ! VAR,FIX are chunks of array C
-      EQUIVALENCE( c(1), var(1))
-      EQUIVALENCE( c(33), fix(1))
 ! RCONST - Rate constants (global)
   REAL(kind=dp):: rconst(nreact)
@@ -287,6 +286,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -383,6 +382,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -546,6 +545,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -572,6 +571,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -630,6 +629,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -657,6 +656,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -684,6 +683,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -713,6 +712,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -739,6 +738,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Mar  8 19:00:59 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar 15 16:28:21 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -855,4 +854,10 @@
  
  
+  ! openmp directives generated by kp4 
+ 
+  !$OMP THREADPRIVATE (vl, vl_glo, is, ie, data_loaded)
+  !$OMP THREADPRIVATE (c, var, fix, rconst, time, temp, stepmin, cfactor)
+  !$OMP THREADPRIVATE (qvap, fakt, cs_mech, a, icntrl, rcntrl)
+ 
  CONTAINS
  
@@ -866,4 +871,8 @@
   k = is
   cfactor = 1.000000e+00_dp
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( lu_crow(1) == 1  .OR.  lu_icol(1) == 1  .OR.  lu_irow(1) == 1 )  CONTINUE 
+!  
 
   x = (0.) * cfactor
@@ -953,4 +962,7 @@
 
 
+! Following line is just to avoid compiler message about unused variables
+IF ( f(nfix) > 0.0_dp )  CONTINUE
+!  
 ! Computation of equation rates
   a(1) = rct(1) * v(26)
@@ -1207,4 +1219,7 @@
 ! B - Temporary array
   REAL(kind=dp):: b(138)
+!
+! Following line is just to avoid compiler message about unused variables
+IF ( f(nfix) > 0.0_dp )  CONTINUE
 
 ! B(1) = dA(1)/dV(26)
@@ -2273,4 +2288,7 @@
       REAL(kind=dp) :: x(n), alpha
       REAL(kind=dp), PARAMETER  :: zero=0.0_dp, one=1.0_dp
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( incx == 0 )  CONTINUE
 
       IF (alpha .eq. one)RETURN
@@ -2336,4 +2354,7 @@
       REAL(kind=dp), PARAMETER :: zero = 0.0_dp
 
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( incx == 0  .OR.  incy == 0 )  CONTINUE
       IF (alpha .eq. zero)RETURN
       IF (n .le. 0)RETURN
@@ -3068,4 +3089,7 @@
 !~~~> inout variables
    REAL(kind=dp), INTENT(INOUT):: b(n)
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( pivot(1) == 0 )  CONTINUE
 
 #ifdef full_algebra    
@@ -3987,4 +4011,6 @@
   IF (PRESENT (rcntrl_i)) rcntrl  = rcntrl_i                      
                                                                     
+  var => c(1:nvar)                                                 
+                                                                    
   vl_glo = size(tempi, 1)                                           
                                                                     
